<template>
  <div class="toastification">
    <div class="d-flex align-items-center">
      <b-avatar
        :variant="variant"
        size="1.8rem"
        class="mr-75 flex-shrink-0 background-none"
      >
        <b-img :src="successIcon" size="15" v-if="icon == 'CheckCircleIcon'" />
        <b-img :src="alertIcon" size="15" v-if="icon == 'AlertCircleIcon'" />
        <FeatherIcon :icon="icon" size="15" v-if="icon != 'CheckCircleIcon'" />
      </b-avatar>
      <div class="d-flex flex-grow-1">
        <div>
          <h5
            class="mb-0 font-weight-bolder toastification-title"
            :class="`text-${variant}`"
            v-text="variant == 'danger' ? 'Error' : 'Success'"
          />
          <small v-if="text" class="d-inline-block text-body color-muted" v-text="text" />
        </div>
        <span
          class="cursor-pointer toastification-close-icon ml-auto"
          @click="$emit('close-toast')"
        >
       
          <FeatherIcon v-if="!!!hideClose" icon="XIcon" class="text-body color-muted" />
        </span>
      </div>
    </div>
  </div>
</template>

<script>
import { BAvatar, BImg } from "bootstrap-vue";
import { $themeConfig } from "@themeConfig";
export default {
  components: {
    BAvatar,
    BImg,
  },
  props: {
    variant: {
      type: String,
      default: "primary",
    },
    icon: {
      type: String,
      default: null,
    },
    title: {
      type: String,
      default: null,
    },
    text: {
      type: String,
      default: null,
    },
    hideClose: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    const { successIcon, alertIcon } = $themeConfig.app;
    return {
      successIcon,
      alertIcon,
    };
  },
};
</script>

<style lang="scss" scoped>

.toastification-close-icon,
.toastification-title {
  line-height: 26px;
}

.toastification-title {
  color: inherit;
}
</style>
